Name:           jFormatString
Version:        0
Release:        0.11.20111215svn%{?dist}
Summary:        Java format string compile-time checker

Group:          Development/Libraries
License:        GPLv2 with exceptions
URL:            http://findbugs.sourceforge.net/

# There has been no official release yet.  This is a snapshot of the Subversion
# repository as of 16 Oct 2008.  Use the following commands to generate the
# tarball:
#   svn export -r 8 https://jformatstring.dev.java.net/svn/jformatstring/trunk \
#     jformatstring --username guest
#   (The password is "guest".)
#   tar -cjvf jFormatString-0.tar.bz2 jformatstring
Source0:        %{name}-%{version}.tar.bz2

# This patch has not been sent upstream, since it is Fedora specific.  This
# gives the build system the path to the appropriate junit jar.
Patch0:         %{name}-build.patch

# This is the jFormatString JAR file shipped with FindBugs 2.0.2:
# http://code.google.com/p/findbugs/source/browse/trunk/findbugs/lib/jFormatString.jar
Source1:        %{name}.jar

BuildRequires:  ant, java-devel, java-javadoc, jpackage-utils, junit4
Requires:       java, jpackage-utils

BuildArch:      noarch

%description
This project is derived from Sun's implementation of java.util.Formatter.  It
is designed to allow compile time checks as to whether or not a use of a
format string will be erroneous when executed at runtime.

%package javadoc
Summary:        Javadoc documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}, java-javadoc
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jformatstring
%patch0 -p1

# delete old source code
find jFormatString/src -name "*.java" -print -delete

# unpack new source code
unzip %SOURCE1 -d jFormatString/src/java -x *.class META-INF/*

%build
# Build the JAR
cd jFormatString
ant
cd ..

# Create the javadocs
mkdir docs
javadoc -d docs -source 1.5 -sourcepath jFormatString/src/java \
  -classpath jFormatString/build/classes:%{_javadir}/junit4.jar \
  -link file://%{_javadocdir}/java edu.umd.cs.findbugs.formatStringChecker

%install

# JAR files
mkdir -p %{buildroot}%{_javadir}
cp -p %{name}/build/%{name}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# Javadocs
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -rp docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%doc www/index.html jFormatString/LICENSE
%{_javadir}/%{name}*

%files javadoc
%{_javadocdir}/%{name}*

%changelog
* Mon Sep 09 2013 Richard Fearn <richardfearn@gmail.com> - 0-0.11.20111215svn
- Update to version shipped with FindBugs 2.0.2 (again)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.20081016svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb 23 2013 Richard Fearn <richardfearn@gmail.com> - 0-0.9.20081016svn
- Switch back to the version of jFormatString shipped with FindBugs 1.3.9

* Sun Feb 10 2013 Richard Fearn <richardfearn@gmail.com> - 0-0.8.20111215svn
- Update to version shipped with FindBugs 2.0.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20081016svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20081016svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20081016svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 30 2010 Alexander Kurtakov <akurtako@redhat.com> 0-0.4.20081016svn
- Drop gcj support.
- No more versioned jars.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20081016svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar  5 2009 Jerry James <loganjerry@gmail.com> - 0-0.2.20081016svn
- Clean up minor issues raised in package review

* Tue Dec  9 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20081016svn
- Initial RPM
